# PetscDrawRectangle

PetscDraws a rectangle onto a drawable.

### Synopsis

    #include "petscdraw.h"
    PetscErrorCode  PetscDrawRectangle(PetscDraw draw,PetscReal xl,PetscReal yl,PetscReal xr,PetscReal yr,int c1,int c2,int c3,int c4)

Not Collective

### Input Parameters

| draw | - the drawing context
| xl,yl,xr,yr | - the coordinates of the lower left, upper right corners
| c1,c2,c3,c4 | - the colors of the four corners in counter clockwise order

Level:beginner
Location: src/sys/draw/interface/drect.c
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages